## ros-lunar-canopen-chain-node 0.7.9

=== debian/changelog ===
ros-lunar-canopen-chain-node (0.7.9-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 22 May 2018 22:00:00 -0000

ros-lunar-canopen-chain-node (0.7.8-0xenial) xenial; urgency=high

  * Revert "pull make_shared into namespaces"
    This reverts commit 9b2cd05df76d223647ca81917d289ca6330cdee6.
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-lunar-canopen-chain-node (0.7.7-0xenial) xenial; urgency=high

  * added types for all function objects
  * pull make_shared into namespaces
  * added types for all shared_ptrs
  * migrate to new classloader headers
  * address catkin_lint errors/warnings
  * removed IPC/SHM based sync masters
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-lunar-canopen-chain-node (0.7.6-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-lunar-canopen-chain-node (0.7.5-0xenial) xenial; urgency=high

  * added reset_errors_before_recover option
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 May 2017 22:00:00 -0000

ros-lunar-canopen-chain-node (0.7.4-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-lunar-canopen-chain-node (0.7.3-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-lunar-canopen-chain-node (0.7.2-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-lunar-canopen-chain-node (0.7.1-0xenial) xenial; urgency=high

  * refactored EMCY handling into separate layer
  * do not reset thread for recover
  * properly stop run thread if init failed
  * deprecation warning for SHM-based master implementations
  * implemented canopen_sync_node
  * wait only if sync is disabled
  * added object access services
  * implement level-based object logging
  * added node name lookup
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-lunar-canopen-chain-node (0.7.0-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Dec 2016 23:00:00 -0000

ros-lunar-canopen-chain-node (0.6.5-0xenial) xenial; urgency=high

  * protect MotorChain setup with RosChain lock
  * added include to <boost/scoped_ptr.hpp>; solving #177 <https://github.com/ipa-mdl/ros_canopen/issues/177>
  * default to canopen::SimpleMaster::Allocator (#71 <https://github.com/ipa-mdl/ros_canopen/issues/71>)
  * exit code for generic error should be 1, not -1
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * update package URLs
  * moved roslib include into source file
  * renamed chain_ros.h to ros_chain.h, fixes #126 <https://github.com/ipa-mdl/ros_canopen/issues/126>
  * Use of catkin_EXPORTED_TARGETS
    Install target for canopen_ros_chain
  * Splitted charn_ros.h into chain_ros.h and ros_chain.cpp
  * Revert "stop heartbeat after stack was shutdown"
    This reverts commit de985b5e9664edbbcc4f743fff3e2a2391e1bf8f.
  * improve failure handling in init service callback
  * improved excetion handling in init and recover callback
  * Merge pull request #109 <https://github.com/ipa-mdl/ros_canopen/issues/109> from ipa-mdl/shutdown-crashes
    Fix for pluginlib-related crashes on shutdown
  * catch std::exception instead of canopen::Exception (#110 <https://github.com/ipa-mdl/ros_canopen/issues/110>)
  * call to detroy is not needed anymore
  * added GuardedClassLoader implementation
  * minor shutdown improvements
  * Contributors: Mathias Lüdtke, Michael Stoll, xaedes

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 09 Dec 2016 23:00:00 -0000

ros-lunar-canopen-chain-node (0.6.4-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 02 Jul 2015 22:00:00 -0000

ros-lunar-canopen-chain-node (0.6.3-0xenial) xenial; urgency=high

  * added motor_layer settings
  * remove boost::posix_time::milliseconds from SyncProperties
  * removed support for silence_us since bus timing cannot be guaranteed
  * implemented plugin-based Master allocators, defaults to LocalMaster
  * set initialized to false explicitly if init failed
  * include for std_msgs::String was missing
  * Merge remote-tracking branch 'origin/std_trigger' into new_402
    Conflicts:
    canopen_chain_node/CMakeLists.txt
    canopen_chain_node/include/canopen_chain_node/chain_ros.h
  * halt explicitly on shutdown
  * stop heartbeat after stack was shutdown
  * migrated to Timer instead of ros::Timer to send heartbeat even after ros was shutdown
  * run loop even if ros is shutdown
  * improved chain shutdown behaviour
  * fix for g++: proper message generation
  * Merge branch 'publisher' into muparser
    Conflicts:
    canopen_motor_node/src/control_node.cpp
  * added generic object publishers
  * migrated to std_srvs/Trigger
  * use atomic flag instead of thread pointer for synchronization
  * do not run diagnostics if chain was not initalized, output warning instead
  * Changes Layer Status to Warning during the service calls
  * refactored Layer mechanisms
  * heartbeat works now
  * check XmlRpcValue types in dcf_overlay
  * removed IPCLayer sync listener, loopback is disabled per default
  * added simple heartbeat timer
  * added sync silence feature
  * parse sync properties only if sync_ms is valid
  * require message strings for error indicators, added missing strings, added ROS logging in sync loop
  * skip "eds_pkg" if not provided
  * clear layer before plugin loader is deleted
  * implemented node list as struct

