=== debian/control ===
Source: ros-lunar-canopen-chain-node
Section: misc
Priority: extra
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-canopen-master, ros-lunar-catkin, ros-lunar-diagnostic-updater, ros-lunar-message-generation, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-socketcan-interface, ros-lunar-std-msgs, ros-lunar-std-srvs
Homepage: http://wiki.ros.org/canopen_chain_node
Standards-Version: 3.9.2

Package: ros-lunar-canopen-chain-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-canopen-master, ros-lunar-diagnostic-updater, ros-lunar-message-runtime, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-socketcan-interface, ros-lunar-std-msgs, ros-lunar-std-srvs
Description: Base implementation for CANopen chains node with support for management services and diagnostics
